gtkgl2 (2.0.1-2.2+dilos2) unstable; urgency=medium

  * Build for DilOS.

 -- Denis Kozadaev <denis@tambov.ru>  Sat, 30 Dec 2017 21:21:24 +0300

gtkgl2 (2.0.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf to update configurey for new architectures
    (Closes: #729613)

 -- Wookey <wookey@debian.org>  Fri, 18 Jul 2014 16:29:01 +0000

gtkgl2 (2.0.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ld: zktor.o: undefined reference to symbol
    'atan2@@GLIBC_2.2.5'":
    take patch libm_underlinkage.patch from Ubuntu / Daniel T Chen, apply it
    directly since there is no patch system / appropriate source format.
    (Closes: #713708)

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Nov 2013 17:33:34 +0100

gtkgl2 (2.0.1-2) unstable; urgency=low

  * debian/compat: switch to debhelper 8.
  * debian/libgtkgl2.0-dev.install: do not install .la file (Closes: #620615).

 -- Sam Hocevar <sho@debian.org>  Sun, 19 Jun 2011 19:21:58 +0200

gtkgl2 (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set debhelper version to 5.0 and policy to 3.8.2.
    + Add homepage field.
    + Reworded long description to provide more information.

 -- Sam Hocevar <sho@debian.org>  Sat, 18 Jul 2009 13:22:05 +0200

gtkgl2 (2.0.0-1) unstable; urgency=low

  * New maintainer (with permission from the QA team: more than 4 years
    since the last maintainer upload; also, I now maintain this upstream).
  * Pulled new upstream version from SVN. This snapshot has new config.guess
    and config.sub files (Closes: #414608).
  * Acknowledge previous NMUs (Closes: #376447, #318631, #181876).

  * debian/control:
    + Set policy to 3.7.3.
    + Drop the autoconf/automake/libtool build-dependencies (Closes: #376447).
    + Add Vcs control fields.
    + Set the library package section to "libs" and the -dev package section
      to "libdevel" (Closes: #156412, #372598).
    + Improved package description (Closes: #209747).
    + Build-depend on libx11-dev because the code uses XFree().

  * debian/copyright:
    + Added missing copyright holders.
    + Convert this file to UTF-8.

  * debian/rules:
    + Explicitly link the library with -lX11.

  * debian/README.Debian:
    + Removed mention of GTK+1.2 (Closes: #343501).
    + Updated example to use pkg-config instead of gtk-config and -lGL instead
      of -lMesaGL.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 17 Dec 2007 17:52:21 +0100

gtkgl2 (1.99.0-2.3) unstable; urgency=low

  * NMU.
  * debian/control: Update automake build dependency to
    automake1.9. (Closes: #376447)

 -- Eric Dorland <eric@debian.org>  Sat, 19 Aug 2006 13:09:10 -0400

gtkgl2 (1.99.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with some auto-builder

 -- Julien Danjou <acid@debian.org>  Sat, 15 Jul 2006 13:15:58 +0200

gtkgl2 (1.99.0-2.1) unstable; urgency=high

  * Non-maintainer upload during the French BSP!
  * Urgency set to high
  * Changes build-dep from xlibmesa-glu-dev to libglu1-mesa-dev (Closes: #370504)
  * Stop removing autogenerated files
  * Bump standards version
  * Update FSF address
  * Move dh_installdeb in debian/rules to include post*.debhelper

 -- Julien Danjou <acid@debian.org>  Sat, 10 Jun 2006 16:55:01 +0200

gtkgl2 (1.99.0-2) unstable; urgency=low

  * Ack NMU (closes nothing.  I'm getting tired of people doing NMUs without
    sending NMU patches, you know?)
  * debian/control: add libglu-dev to build dependencies (closes: bug#192559)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 11 May 2003 19:47:24 +0200

gtkgl2 (1.99.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against libgtk2.0-0png3.
  * Changed build-dep to libgtk2.0-dev (>= 2.0.6).

 -- Robert McQueen <robot101@debian.org>  Mon, 12 Aug 2002 10:06:12 +0100

gtkgl2 (1.99.0-1) unstable; urgency=low

  * Pulled new upstream version from CVS
  * debian/rules: clean horrible horrible packaging
  * debian/rules, debian/compat: use debhelper 4
  * debian/control: rename packages to libgtkgl2.0-dev and libgtkgl2.0-1
    This breaks packages that depend on gtkglarea.  Rename source package to
    gtkgl2.  If everything (relevant) in woody+1 is moved to GNOME 2 in
    time, gtkglarea should be removed from the distribution.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 19 May 2002 08:05:39 +0200

gtkglarea (1.2.3-1) unstable; urgency=low

  * New upstream version, thanks Steve M. Robbins (closes: bug#136694)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon,  4 Mar 2002 12:30:48 +0100

gtkglarea (1.2.2-7) unstable; urgency=low

  * configure.in: change version info to 5:0:0.  Whoever figures this
    one out gets a cookie from me.  After diff'ing arround in CVS,
    AFAICS what happened was this: upstream version 1.2.1's configure
    script read 4:0:0, 1.2.2's read 5:0:0, but (and this is the killer
    bug) 1.2.1's configure.in read 4:0:0 whilst 1.2.2 read 5:0:1.
    Upstream probably realized he had made a mistake, corrected it in
    the configure.in but the released sources still contained 5:0:0,
    making the soname version 5 instead of 4.  Since released sources
    are mandatory in this case, methinks upstream should make the same
    change.  Sent upstream.  (closes: bug#107502, bug#108045)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  9 Aug 2001 20:06:29 +0200

gtkglarea (1.2.2-6) unstable; urgency=low

  * debian/rules: The this-is-getting-boring-fast config.{sub,guess} fix.
    (closes: bug#106805)
  * debian/control: Standards-Version: 3.5.6
  * debian/rules: vacuum autogenerated stuff, .diff file is sickening.
  * debian/control: build-depends: automake, autoconf (>= 2.50), libtool

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 28 Jul 2001 19:52:01 +0200

gtkglarea (1.2.2-5.0.1) unstable; urgency=low

  * Rebuilt to get dependencies right (deja vu, if this is a joke, I don't
    get it)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue,  8 May 2001 13:35:45 +0200

gtkglarea (1.2.2-5) unstable; urgency=low

  * Rebuilt to get dependencies right (deja vu) (closes: bug#94220)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 19 Apr 2001 01:52:59 +0200

gtkglarea (1.2.2-4) unstable; urgency=low

  * Rebuilt to get dependencies right.
  * debian/control: added debhelper to Build-Depends.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 15 Apr 2001 23:23:07 +0200

gtkglarea (1.2.2-3) unstable; urgency=low

  * Your daily gtkglarea upload.
  * debian/control: Build-Depends: libgtk1.2-dev (this will come back
    and bite me I know)
  * debian/control: Build-Depends: removed dependencies pulled by
    libgtk1.2-dev
  * debian/changelog: Copied over changelog entries from 1.2.1

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  5 Oct 2000 19:40:40 +0200

gtkglarea (1.2.2-2) unstable; urgency=low

  * Fixed dependencies *sigh*

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed,  4 Oct 2000 18:37:20 +0200

gtkglarea (1.2.2-1) unstable; urgency=low

  * Taking package from Drake Diedrich (thanks Drake!) (closes: bug#68131)
  * debian/control: removed libc6-dev from Build-Depends
  * debian/control: bumped Standards Version to 3.2.1
  * debian/control: s/gtkglarea4/gtkglarea5/
  * debian/control: added Provides, Conflicts: gtkglarea-dev
  * debian/control: added Conflicts: gtkglarea4-dev
  * debian/*: moved gtkglarea4.* to gtkglarea5.*
  * debian/rules: remove Makefile.in on clean

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue,  3 Oct 2000 20:28:19 +0200

gtkglarea (1.2.1-7) unstable; urgency=low

  * Your daily gtkglarea upload.  Fixed Build-Depends.  Use libgtk1.2-dev.
    This will come back and bite me (closes: bug#74073)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu,  5 Oct 2000 19:32:42 +0200

gtkglarea (1.2.1-6) unstable; urgency=low

  * Ah, freaking dependencies on xlibs!  I checked for that, I really
    did this time! (closes: bug#73616)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed,  4 Oct 2000 18:11:32 +0200

gtkglarea (1.2.1-5) unstable; urgency=low

  * Taking package from Drake Diedrich (thanks Drake!) (closes: bug#68131)
  * debian/control: removed libc6-dev from Build-Depends
  * debian/control: bumped Standards Version to 3.2.1
  * debian/control: added Provides, Conflicts: gtkglarea-dev
  * debian/rules: remove Makefile.in on clean

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue,  3 Oct 2000 20:28:19 +0200

gtkglarea (1.2.1-4) unstable; urgency=low

  * Added automake invocation and appended LIBADD line to
    gtkgl/Makefile.am to add GTK and GL library dependencies.  
    (closes: #64483)
  * added libgl-dev to dependency list - required by include files
    (closes: #64482)
  * added xlib6g-dev dependency for GLwDrawAP.h #include
  * removed libc6-dev and libgtk-dev dependencies - not #included
  * removed examples, you must install full source to build them anyway
    (closes: #60089)
  * Last gtkglarea4 package, 1.2.2 will bump soname to 5.0.1

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Tue, 23 May 2000 13:34:43 +1000

gtkglarea (1.2.1-3) unstable; urgency=low

  * Added gtkgl.m4 to /usr/share/aclocal (closes: #51377)
  * Moved to /usr/share/doc and added #DEBHELPER# to postinst
  * Bumped policy compliance to 3.1.1.0

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Sun, 28 Nov 1999 02:14:49 +1100

gtkglarea (1.2.1-2) unstable; urgency=low

  * Depends on gtkglarea4 instead of gtkglarea.  Closes: #36694
  * Remove mesa-dev dependency until a virtual package exists.
  * Repacked as pristine upstream source.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Mon, 26 Apr 1999 11:25:54 +1000

gtkglarea (1.2.1) unstable; urgency=low

  * New upstream source
  * New upstream soname and binary packages renamed to gtkglarea4

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu,  1 Apr 1999 14:39:58 +1000

gtkglarea (1:0.6-4) frozen unstable; urgency=low

  * Removed self-conflict (#30290)

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu,  3 Dec 1998 09:41:17 +1100

gtkglarea (1:0.6-3) frozen unstable; urgency=low

  * Recompiled.  diff file not uploaded in -2.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu,  5 Nov 1998 20:10:31 +1100

gtkglarea (1:0.6-2) unstable; urgency=low

  * Rebuild against mesag3 and libgtk1.0
  * Remove explicit Mesa dependency, works with both mesag-dev and
    mesag2-dev
  * Could not remove Gtk1.0 dependency, GTK_OBJECT macro calls
    version dependent functions.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Wed, 14 Oct 1998 15:44:10 +1000

gtkglarea (1:0.6-1) unstable; urgency=low

  * Official upstream library and sonames, -lgtkgl not -lgtkgla
  * Switched sense of Mesa and OpenGL in description
  * New upstream release

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Tue, 13 Oct 1998 12:46:34 +1000

gtkglarea (0.980729a-1) unstable; urgency=low

  * Initial Release.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Thu, 24 Sep 1998 16:47:45 +1000
